Subject: Re: [bitcoin-dev] Schnorr and taproot (etc) upgrade

From: "Russell O'Connor" <[email-masked]>
Date: Sat, 15 Dec 2018 18:38:46 -0500

On Fri, Dec 14, 2018 at 8:39 AM Anthony Towns via bitcoin-dev <
[email-masked]> wrote:

>       5. if there's exactly one, non-zero item on the stack; succeed
>

Unless it is too much bikeshedding, I'd like to propose that to succeed the
stack must be exactly empty.  Script is more composable that way, removing
the need for special logic to handle top-level CHECKSIG, vs mid-level
CHECKSIGVERIFY.